<?php
/**
 * @package rgraph Joomla! Plugin
 * @version Version 2.1.x
 * @author  Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 *
*/
use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

defined('_JEXEC') or die();

class com_jphpxInstallerScript
{
    /**
     * Called after any type of action
     *
     * @param     string              $route      Which action is happening (install|uninstall|discover_install)
     *  param     jadapterinstance    $adapter    The object responsible for running this script
     *
     * @return    boolean                         True on success
     */
    public function preflight($type, $parent)
    {
        if (version_compare(JVERSION, '4', '<'))
        {
            $error =Text::sprintf('COM_JPHPX_ERROR_WRONG_VERSION', JVERSION);
            $app = Factory::getApplication();
            $app->enqueueMessage($error, 'error');
            return false;
        }
        return true;
    }
}
