<?php
/**
 * @version    1.3.3
 * @package    com_jphpx
 * @author     Joachim Schmidt <joachim.schmidt@oberquembach.de>
 * @copyright  2021 Joachim Schmidt
 * @license    GNU General Public License Version 2 or later
 */
defined('_JEXEC') or die();

use \Joomla\CMS\Factory;

class JphpxController extends \Joomla\CMS\MVC\Controller\BaseController
{

    public function display ($cachable = false, $urlparams = false)
    {
        $view = Factory::getApplication()->input->getCmd('view', 'jphpx_codes');
        Factory::getApplication()->input->set('view', $view);

        parent::display($cachable, $urlparams);

        return $this;
    }
}
